Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class BrokenRules

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.ejie.r01f.util.BrokenRules

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class BrokenRules
extends java.util.ArrayList

Clase que sirve para mantener una serie de reglas rotas de un objeto Se pueden cargar todas las reglas rotas a partir de un xml como el siguiente La descripcion en castellano La descripcion en euskera .....

Author:
  ALEX
See Also:
  Serialized Form

Nested Class Summary
`class` | `BrokenRules.BrokenRule`

Constructor Summary
`BrokenRules()` Creates a new instance of PagoObjBrokenRules
`BrokenRules(java.util.Collection brokenRules)`
`BrokenRules(java.io.InputStream is)`
`BrokenRules(java.lang.String inXMLStr)`

Method Summary
`void` | `add(int index, java.lang.Object newBrokenRule)` Añade una nueva regla rota en la posicion especificada
`boolean` | `add(java.lang.Object newBrokenRule)` Añade una nueva regla rota
`boolean` | `addAll(java.util.Collection brokenRules)` Añade todos los elementos de la coleccion que se pasa como parametro
`boolean` | `addAll(int fromIndex, java.util.Collection brokenRules)` Añade todos los elementos de la colección que se pasa como parametro a partir de la posición especificada
`boolean` | `addBrokenRule(int newErrorCode, java.lang.String newCastellano)` Añade una nueva regla rota a partir de su codigo y descripcion en castellano
`boolean` | `addBrokenRule(int newErrorCode, java.lang.String newCastellano, java.lang.String newEuskera)` Añade una nueva regla rota a partir de su codigo y descripcion en castellano / euskera
`java.util.Collection` | `loadFromXML(java.io.InputStream is)` Obtiene el mapa desde el xml
`static void` | `main(java.lang.String[] argv)` Metodo main (para probar el temilla...)
`java.lang.Object` | `set(int index, java.lang.Object brokenRule)` Establece la regla rota de la posicion indicada
`java.lang.String` | `toXML()`

Methods inherited from class java.util.ArrayList
`clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### BrokenRules

    public BrokenRules()

  Creates a new instance of PagoObjBrokenRules

### BrokenRules

    public BrokenRules(java.util.Collection brokenRules)

### BrokenRules

    public BrokenRules(java.io.InputStream is)

### BrokenRules

    public BrokenRules(java.lang.String inXMLStr)

Method Detail

### loadFromXML

    public java.util.Collection loadFromXML(java.io.InputStream is)
                                     throws org.xml.sax.SAXException

  Obtiene el mapa desde el xml

  Throws:
    `org.xml.sax.SAXException`

### add

    public boolean add(java.lang.Object newBrokenRule)

  Añade una nueva regla rota

### add

    public void add(int index,
                    java.lang.Object newBrokenRule)

  Añade una nueva regla rota en la posicion especificada

### addAll

    public boolean addAll(java.util.Collection brokenRules)

  Añade todos los elementos de la coleccion que se pasa como parametro

### addAll

    public boolean addAll(int fromIndex,
                          java.util.Collection brokenRules)

  Añade todos los elementos de la colección que se pasa como parametro a partir de la posición especificada

### set

    public java.lang.Object set(int index,
                                java.lang.Object brokenRule)

  Establece la regla rota de la posicion indicada

### addBrokenRule

    public boolean addBrokenRule(int newErrorCode,
                                 java.lang.String newCastellano)

  Añade una nueva regla rota a partir de su codigo y descripcion en castellano

### addBrokenRule

    public boolean addBrokenRule(int newErrorCode,
                                 java.lang.String newCastellano,
                                 java.lang.String newEuskera)

  Añade una nueva regla rota a partir de su codigo y descripcion en castellano / euskera

### toXML

    public java.lang.String toXML()

### main

    public static void main(java.lang.String[] argv)

  Metodo main (para probar el temilla...)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD